Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityXPOrb

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityXPOrb

    public class EntityXPOrb

extends Entity

Field Summary
`int` | `field_70532_c`
`int` | `xpColor` A constantly increasing value that RenderXPOrb uses to control the colour shifting (Green / yellow)
`int` | `xpOrbAge` The age of the XP orb in ticks.

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityXPOrb(World par1World)`
`EntityXPOrb(World par1World, double par2, double par4, double par6, int par8)`

Method Summary
`boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
`boolean` | `canAttackWithItem()` If returns false, the item will not inflict any damage against entities.
`int` | `getBrightnessForRender(float par1)`
`int` | `getTextureByXP()`
`static int` | `getXPSplit(int par0)` Get xp split rate (Is called until the xp drop code in EntityLiving.onEntityUpdate is complete)
`int` | `getXpValue()` Returns the XP value of this XP orb.
`boolean` | `handleWaterMovement()` Returns if this entity is in water and will end up adding the waters velocity to the entity
`void` | `onCollideWithPlayer(EntityPlayer par1EntityPlayer)` Called by a player entity when they collide with an entity
`void` | `onUpdate()` Called to update the entity's position/logic.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canBeCollidedWith, canBePushed, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_70079_am, func_82142_c, func_82143_as, func_82146_a, func_82148_at, func_82149_j, func_82150_aj, func_85029_a, func_85031_j, func_85032_ar, func_90999_ad, generatePersistentID, getAir, getBoundingBox, getBrightness, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, hashCode, interact, isBurning, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, readFromNBT, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHeadRotationYaw, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### xpColor

    public int xpColor

  A constantly increasing value that RenderXPOrb uses to control the colour shifting (Green / yellow)

### xpOrbAge

    public int xpOrbAge

  The age of the XP orb in ticks.

### field_70532_c

    public int field_70532_c

Constructor Detail

### EntityXPOrb

    public EntityXPOrb(World par1World,
                       double par2,
                       double par4,
                       double par6,
                       int par8)

### EntityXPOrb

    public EntityXPOrb(World par1World)

Method Detail

### getBrightnessForRender

    public int getBrightnessForRender(float par1)

  Overrides:
    `getBrightnessForRender` in class `Entity`

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `Entity`

### handleWaterMovement

    public boolean handleWaterMovement()

  Returns if this entity is in water and will end up adding the waters velocity to the entity

  Overrides:
    `handleWaterMovement` in class `Entity`

### attackEntityFrom

    public boolean attackEntityFrom(DamageSource par1DamageSource,
                                    int par2)

  Called when the entity is attacked.

  Overrides:
    `attackEntityFrom` in class `Entity`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

### onCollideWithPlayer

    public void onCollideWithPlayer(EntityPlayer par1EntityPlayer)

  Called by a player entity when they collide with an entity

  Overrides:
    `onCollideWithPlayer` in class `Entity`

### getXpValue

    public int getXpValue()

  Returns the XP value of this XP orb.

### getTextureByXP

    public int getTextureByXP()

### getXPSplit

    public static int getXPSplit(int par0)

  Get xp split rate (Is called until the xp drop code in EntityLiving.onEntityUpdate is complete)

### canAttackWithItem

    public boolean canAttackWithItem()

  If returns false, the item will not inflict any damage against entities.

  Overrides:
    `canAttackWithItem` in class `Entity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD